# Generated from mkmf-lite-0.7.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mkmf-lite

Name: rubygem-%{gem_name}
Version: 0.7.3
Release: 1%{?dist}
Summary: A lighter version of mkmf designed for use as a library
License: Apache-2.0
URL: http://github.com/djberg96/mkmf-lite
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.9
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-rspec)
BuildArch: noarch

%description
The mkmf-lite library is a light version of the the mkmf library
designed for use as a library. It does not create packages, builds,
or log files of any kind. Instead, it provides mixin methods that you
can use in FFI or tests to check for the presence of header files,
constants, and so on.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CHANGES.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/MANIFEST.md
%{gem_instdir}/certs
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/mkmf-lite.gemspec
%{gem_instdir}/spec

%changelog
* Sat Mar 22 2025 mockbuilder - 0.7.3-1
- Initial package
